#ifndef __FENETRE_H
#define __FENETRE_H

#include "car.h"
#include "SFont.h"
#define FONT_PATH "font.png"

class Fenetre 
	{
	private:
		SDL_Surface* screen;
		SDL_Surface* fond;
		SDL_Surface* HardBG;  
		SFont_Font* font;
		Car Voiture;
		int frame,sec,fps,circuit;
		bool SHOWpilot,SHOWcamera,obstacle;

	public:
		Fenetre();
		Fenetre (int , int , int , char *, char *);
		~Fenetre();
		void loadBG(char *);
		void redraw();
		void handle();
		void putPixel(int , int , char, char, char);
		void showView(int ,int);
		void showPilot(int,int);
		void showObstacle();
		void drawText();
		
	};

#endif
